diff --git a/src/common/wchar.c b/src/common/wchar.c
index 1e6e198bf2..ecc95c10ce 100644
--- a/src/common/wchar.c
+++ b/src/common/wchar.c
@@ -2186,7 +2186,8 @@ pg_encoding_verifymbstr(int encoding, const char *mbstr, int len)
 int
 pg_encoding_max_length(int encoding)
 {
-	Assert(PG_VALID_ENCODING(encoding));
-
-	return pg_wchar_table[encoding].maxmblen;
+	if (PG_VALID_ENCODING(encoding))
+		return pg_wchar_table[encoding].maxmblen;
+	else
+		return -1;
 }
